%define name gnupg-idea-plugin
%define version 20030215
%define release %mkrel 2
%define distsuffix plf

Summary: IDEA plugin for gnupg
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnupg.dk/pub/contrib-dk/idea.c.gz
Source1: ftp://ftp.gnupg.dk/pub/contrib-dk/idea.c.gz.sig
License: BSD-style
Group: File tools
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.gnupg.org
Requires: gnupg

%description

This is a plugin for the GNU Privacy Guard implementing the IDEA
cipher. To use it, add this to your ~/.gnupg/gpg.conf

load-extension idea

This package is in PLF because IDEA is covered by software patents.

%prep
%setup -q -T -c
zcat %SOURCE0 > idea.c

%build
gcc %optflags -shared -fPIC -o idea idea.c
%install
rm -rf $RPM_BUILD_ROOT
install -D -m 755 idea %buildroot%_libdir/gnupg/idea

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/gnupg/idea

%changelog
* Mon Feb  9 2009 Gtz Waschk <goetz@zarb.org> 20030215-2plf2009.1
- use optflags
- update description (bug #228)

* Thu Apr 12 2007 Gtz Waschk <goetz@zarb.org> 20030215-1plf2007.1
- update description
- "new" version

* Mon Apr 24 2006 Götz Waschk <goetz@zarb.org> 20020803-3plf
- Rebuild

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 20020803-2plf
- rebuild

* Sat Nov 22 2003 Gtz Waschk <goetz@plf.zarb.org> 20020803-1plf
- initial package

